Bug 387001 - Suspend from gdm doesn't work
Suspend from gdm doesn't work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 10:24 EST by derrien
Modified: 2007-12-06 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 10:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixes the problem (1.23 KB, text/x-patch)
2007-11-29 01:16 EST, Philippe Troin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 500362 None None None Never

  None (edit)
Description derrien 2007-11-16 10:24:11 EST
Description of problem:

In /etc/gdm/custom.conf we have :
[daemon]
SuspendCommand=/usr/sbin/pm-suspend

It doesn't work and we get in /var/log/message :
Nov 15 14:43:37 moody gdm-binary[3020]: WARNING: Request for configuration key
daemon/SuspendCommand=, but not type STRING


Version-Release number of selected component (if applicable):
gdm-2.20.1-5.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Philippe Troin 2007-11-29 01:16:01 EST
Created attachment 272241 [details]
Fixes the problem

I found this problem as well and troubleshooted.
Patch attached.
It's in Gnome Bugzilla #500362.
Comment 2 Ray Strode [halfline] 2007-11-29 10:27:58 EST
Hey thanks for the patch!  Let's just handle this upstream and pick up the fix
after the next stable release.
Comment 3 Fedora Update System 2007-12-03 06:44:59 EST
gdm-2.20.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'
Comment 4 Fedora Update System 2007-12-06 17:51:14 EST
gdm-2.20.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.